Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class SSHUserInfo

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.SSHUserInfo

All Implemented Interfaces:
  com.jcraft.jsch.UserInfo

public class SSHUserInfo
extends java.lang.Object
implements com.jcraft.jsch.UserInfo

Constructor Summary
`SSHUserInfo()`
`SSHUserInfo(java.lang.String password, boolean trustAllCertificates)`

Method Summary
`java.lang.String` | `getKeyfile()` Returns the keyfile.
`java.lang.String` | `getName()`
`java.lang.String` | `getPassphrase()` Returns the passphrase.
`java.lang.String` | `getPassphrase(java.lang.String message)`
`java.lang.String` | `getPassword()`
`boolean` | `getTrust()`
`boolean` | `prompt(java.lang.String str)`
`boolean` | `promptPassphrase(java.lang.String message)`
`boolean` | `promptPassword(java.lang.String passwordPrompt)`
`boolean` | `promptYesNo(java.lang.String message)`
`boolean` | `retry()`
`void` | `setKeyfile(java.lang.String keyfile)` Sets the keyfile.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setPassphrase(java.lang.String passphrase)` Sets the passphrase.
`void` | `setPassword(java.lang.String password)` Sets the password.
`void` | `setTrust(boolean trust)` Sets the trust.
`void` | `showMessage(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHUserInfo

    public SSHUserInfo()

### SSHUserInfo

    public SSHUserInfo(java.lang.String password,
                       boolean trustAllCertificates)

Method Detail

### getName

    public java.lang.String getName()

  See Also:
    `com.jcraft.jsch.UserInfo#getName()`

### getPassphrase

    public java.lang.String getPassphrase(java.lang.String message)

  See Also:
    `com.jcraft.jsch.UserInfo#getPassphrase(String)`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `com.jcraft.jsch.UserInfo`
  See Also:
    `UserInfo.getPassword()`

### prompt

    public boolean prompt(java.lang.String str)

  See Also:
    `com.jcraft.jsch.UserInfo#prompt(String)`

### retry

    public boolean retry()

  See Also:
    `com.jcraft.jsch.UserInfo#retry()`

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### setPassphrase

    public void setPassphrase(java.lang.String passphrase)

  Sets the passphrase.

  Parameters:
    `passphrase` - The passphrase to set

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password.

  Parameters:
    `password` - The password to set

### setTrust

    public void setTrust(boolean trust)

  Sets the trust.

  Parameters:
    `trust` - whether to trust or not.

### getTrust

    public boolean getTrust()

  Returns:
    whether to trust or not.

### getPassphrase

    public java.lang.String getPassphrase()

  Returns the passphrase.

  Specified by:
    `getPassphrase` in interface `com.jcraft.jsch.UserInfo`
  Returns:
    String

### getKeyfile

    public java.lang.String getKeyfile()

  Returns the keyfile.

  Returns:
    String

### setKeyfile

    public void setKeyfile(java.lang.String keyfile)

  Sets the keyfile.

  Parameters:
    `keyfile` - The keyfile to set

### promptPassphrase

    public boolean promptPassphrase(java.lang.String message)

  Specified by:
    `promptPassphrase` in interface `com.jcraft.jsch.UserInfo`
  See Also:
    `UserInfo.promptPassphrase(String)`

### promptPassword

    public boolean promptPassword(java.lang.String passwordPrompt)

  Specified by:
    `promptPassword` in interface `com.jcraft.jsch.UserInfo`
  See Also:
    `UserInfo.promptPassword(String)`

### promptYesNo

    public boolean promptYesNo(java.lang.String message)

  Specified by:
    `promptYesNo` in interface `com.jcraft.jsch.UserInfo`
  See Also:
    `UserInfo.promptYesNo(String)`

### showMessage

    public void showMessage(java.lang.String message)

  Specified by:
    `showMessage` in interface `com.jcraft.jsch.UserInfo`
  See Also:
    `UserInfo.showMessage(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.